Skip to main content
GET
/
io.pocketenv.sandbox.getSshKeys
Get the SSH keys for a sandbox.
curl --request GET \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.getSshKeys \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "publicKey": "<string>",
  "privateKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

The sandbox ID.

Response

OK

id
string

Unique identifier of the SSH key.

publicKey
string

The public SSH key.

privateKey
string

The private SSH key (redacted in API responses)

createdAt
string<date-time>

The timestamp when the SSH key was created.

updatedAt
string<date-time>

The timestamp when the SSH key was last updated.